# Created by pyp2rpm-3.3.2
%global pypi_name v4l2

Name:           python-%{pypi_name}
Version:        0.2
Release:        1%{?dist}
Summary:        Python bindings for the v4l2 userspace api

License:        GPLv2
URL:            http://pypi.python.org/pypi/v4l2
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A Python binding for the v4l2 (video4linux2) userspace api, using
ctypes.
Basic example usage::

    >>> import v4l2
    >>> import fcntl
    >>> vd =
open('/dev/video0', 'rw')
    >>> cp = v4l2.v4l2_capability()
    >>>
fcntl.ioctl(vd, v4l2.VIDIOC_QUERYCAP, cp)
    0
    >>> cp.driver
'uvcvideo'
    >>> cp.card
    'USB 2.0 Camera'

See the ``linux/videodev2.h``
header file for details. ...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python binding for the v4l2 (video4linux2) userspace api, using
ctypes.
Basic example usage::

    >>> import v4l2
    >>> import fcntl
    >>> vd =
open('/dev/video0', 'rw')
    >>> cp = v4l2.v4l2_capability()
    >>>
fcntl.ioctl(vd, v4l2.VIDIOC_QUERYCAP, cp)
    0
    >>> cp.driver
'uvcvideo'
    >>> cp.card
    'USB 2.0 Camera'

See the ``linux/videodev2.h``
header file for details. ...


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Mar 16 2019 mockbuilder - 0.2-1
- Initial package.